View Issue Details

IDProjectCategoryView StatusLast Update
0000336luatexluatex limitationpublic2010-03-12 15:46
ReportererouxAssigned ToTaco 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version0.50.0 
Target VersionFixed in Version0.51.0 
Summary0000336: solution to follow links
DescriptionWe have a solution to know if a file is a link (with lfs.symlinkattributes), but no non-tricky way to know where a link leads, this would be great to have the function readlink implemented in luatex (under lfs, with the same os checks as lfs.symlinkattributes), like it is in the posix library (http://luaforge.net/frs/download.php/3572/luaposix-5.1.4.tar.gz).
TagsNo tags attached.

Activities

Taco

2010-03-02 11:32

administrator   ~0000454

#3451 provides lfs.readlink() on non-win32 platforms.

Issue History

Date Modified Username Field Change
2010-03-01 20:27 eroux New Issue
2010-03-01 20:48 Taco Status new => assigned
2010-03-01 20:48 Taco Assigned To => Taco
2010-03-02 11:32 Taco Note Added: 0000454
2010-03-02 11:32 Taco Status assigned => resolved
2010-03-02 11:32 Taco Resolution open => fixed
2010-03-12 15:46 Taco Fixed in Version => 0.51.0
2010-03-12 15:46 Taco Status resolved => closed